Title: "The good place" vs. the ethics of society
Category: Blog
Date: 2020-09-20
Tags: culture, politics, philosophy

A few months ago I was bored and I decided to watch "The good place".
It's a show that had been introduced to me before, and I even watched
about half of the first season, before I kinda forgot about it.  It
had left me feeling mostly irritated, and uninterested, and so I moved
on with my life.  Up to the point where I felt _really_ bored, and I
started watching it again.

I don't really wanna talk about the show from an art criticism
perspective.  It's quite fun to watch at times, the premise is quirky
and all the characters have something to set them apart that makes
them recognisable for someone who's bad at differentiating people.
But it's a comedy at it's core, and most of the "humour" left me
feeling kinda cold.  It didn't so much have jokes as much as just
vague references at jokes.

Really, the show wasn't special, funny, or even bad enough for me to
really care about it too much.  There was however something in the
moral text, and subtext of the show that bothered me, that I've kept
thinking about.  And that's what this post is going to be about.


## Good vs Evil

The main premise of the show is centred around the idea of "good
people" vs "bad people" (the good place vs the bad place).  It mirrors
heaven and hell, without putting a precise theological term on it,
because this concept has existed in various faiths throughout the
ages.

The story follows a woman who gets sent to the good place even though
she's a horrible person.  Most of the first season is dedicated to
this mystery.  At first she thinks this is a mistake, until it becomes
apparent, that bad people being put into a fake "good place" is part
of a weird psychological punishment system in the bad place.  They are
in fact in the bad place.  When they find out about this, their
memories get wiped, and it starts from the beginning, with slight
alterations.  But the group figures out that they aren't in their
personal paradise again and again, and so their memories get wiped
again, and again.

The show wants to demonstrate that people can get better, seeing as a
group of "bad people" were sent to a fake "good place", and improved
as people.  The permanence of "good people" and "bad people" is called
into question.  Some stuff happens, and the group of four people, and
one daemon who started taking a liking to them end up on the run.

Throughout the plot it becomes apparent that the system is broken in
more subtle ways too: nobody gets to go to the good place anymore.
Nobody is good enough; too high are the standards of what counts as a
"good person".  Furthermore, when they manage to get into the good
place, it becomes clear that eternal bliss with no ups and downs, and
no end in sight is just a different type of hell.

The show concludes by restructuring the system, making the "bad place"
not into a torturous nightmare, but a place where your actions and
emotions are being tested, and called into question.  The idea being
that there is no such thing as a "bad person", and that everybody
could go to the "good place", if they accepted that they have flaws,
and worked on them.

They also mildly restructure the "good place" to have "an end", which
is death.  Isn't that nice, everybody gets to live their perfect life
in heaven, then they die.


## Good people & bad people?

So that was the plot.  As I said, I'm not gonna criticise the show for
it's scene-to-scene writing, or even the overarching plot.  It mostly
tries (and manages) to be wholesome.  Although it has issues
throughout, that are rooted in a very flawed understanding of
philosophy and morality.

The moral compass of the show is a character called Chidi, a professor
of moral philosophy who died and was sent to the "bad place".  He was
deemed a bad person because of his indecisiveness.  It is shown that
he tried to be a good person, but got too caught up in the details of
what that meant, which caused great pain to the people around him (and
which got him killed).

Throughout the show he quotes Kant a lot, with some other racist white
men from history sprinkled in there.  His understanding of philosophy
isn't very deep, or nuanced.  Either he was supposed to be bad at his
job, at which point the show didn't really take the time to develop
this enough to be poignant, or it just demonstrates that the show was
written by people with basically no knowledge in this field.

I argue that the way that "the good place" portrays philosophy and
moral choices in philosophical frameworks is very representative of
how our society works, and how people think about "good vs bad".

But let's back up a bit.  For most of the show (if you watched it/
will) the thoughts it is trying the hardest to communicate are
"there's no bad people", "hell is a bad concept", etc.  This becomes
pretty obvious.  However, the larger system of afterlife remains
pretty much entirely un-examined.  Why is there an afterlife, and why
do we need one, these are questions the show never asks, or attempts
to answer.  Any critism against the system is phrased in a coy way,
that will lead to reform of it, not abolishment, i.e. changing what
the "good place" and "bad place" means, not their existence.


## Moral individualism

I said the show is representative of how people think about morality,
and this doesn't just start and end at "what is a good person".  It
also applies to how the show deals with individualism.

What is individualism you may ask?  I'm glad you did (not really, now
this post has to be longer...).  Individualism is one of the axiomatic
philosophies that the western world is built on.  It's the idea that
each individual is responsible for their own destiny, and identity.

Used in a (mostly) harmless way it's used to sell things to people
that can be "customised" to fit your "own personal style" (without
_really_ giving you any autonomy), whereas on a higher and more
sinister level it is used to justify the horrors of society.  As an
out of context Margaret Thatcher would say "there's no such thing as
society, only people".  After all, society is just men, women and
those damn enbies, that all make their own free choices, and if
society is bad, then that's just a representation of how people are
bad.

This is an over-simplification of course, but it digs at the core of
what individualism means to us.  It's a way to absolve society of
guilt, up to refusing the existence of it all together.  Individualism
touches many, if not all aspects of society, and it would take too
long to really examine them all here.  Instead, I want to focus on
what this means for "the good place".


## There is no society in "the good place"

I don't know if the word "society" is ever used in the script, but it
is certainly not a subject of conversation in any of the episodes.
None of the characters will acknowledge that there is a human society
or what it looks like.  The focus is on individuals.  After all, the
fact that the world is bad is the result of just a few bad people,
that need to become better.

This is where the view that "there is no bad people" the show tries to
hammer into you falls flat.  Because it's a lie.

Human society is structured in a way that a few select people at the
top have a lot of wealth and power, while the rest of us live in
varying degrees of poverty by comparison.  I grew up in Germany so I'm
gonna say I don't live in luxury and peace by comparison to others,
but we _all_ suffer under the ruling class.  This is a reality the
show refuses to acknowledge and it makes it's arguments about moral
philosophy feel almost dystopian.

Maybe this is controversial, but there are bad people.  If it is your
job to harass homeless people, you are a bad person.  If it is your
job to enforce the "war on drugs" that overwhelmingly affects black
people, you are a bad person.  If you are a billionaire, you are a bad
person.  You are in a position where you _could_ change society for
the better. You _could_ give all your wealth away, and actually help
people.  But you don't.  And no, I don't mean the fake philanthropy
that rich people indulge in because those are usually just schemes to
pay less taxes and massage on their public image.  No billionaire ever
gives away so much money that they stop being a billionaire.

The ending of the good place is framed as a beautiful thing where
everybody gets to live a life in heaven in the end, if they manage to
work on themselves to become better people.  And sure, there are "bad
people" like sexists and racists, and they'll just get stuck in these
tests forever that they won't escape until they become better people.
It doesn't matter how much suffering you've caused others, you get to
go to the good place if you manage to accept that you were bad.


## Why an afterlife?

So I mentioned that in the show, the existence of an afterlife is
never explained, rationalised or called into question.  It exists in a
vacuum, the same way that people in it live in a vacuum.

The ending of "the good place" is framed in a way that is meant to
make you feel happy and hopeful, but all it makes me feel is wonder
why we needed to wait until the afterlife for people to deserve
happiness.

The world is an awful place because of people, sure, but it's the
system that makes people into monsters.  Not only will it corrupt
people going in with good intentions, it will turn people with bad
intentions into powerful rulers.

"The good place" fails to or refuses to understand that society
exists, and portrays a moral system in which all actions are
unconnected from the bigger picture.  If you were a nice person to
people in person, and generally tried to be `g o o d` then it doesn't
matter if your employees need to pee into bottles, or if your company
is burning the rainforest to ash.

Hell, the ruthless business lady in the "medium place" was sent there
because she saved someone in her _last_ moment.  But the "bad things"
she did???  SHE WAS RUDE TO PEOPLE.  Don't worry the exploitation
through the capitalist machine, that's all fine.


## The shape of art & paradise

To wrap up this article I want to at least mention why I'm writing
about this.  Because I said earlier that I didn't find the show
special, funny, or intentionally bad enough to really engage with it.
And now here I am, writing upwards of 2000 words about it :)

The media we consume as people shapes us, and influences us in quite
profound ways.  The way we tell stories is symptomatic of how society
perceives itself, and how people see themselves in society.  Media
that doesn't acknowledge the existence of society then and the
suffering it brings will inevitably white-wash reality, and push this
influence on anyone consuming it.

At this point I would have liked to mention a better show or movie, or
even book, but none really come to mind.  I guess it's hard to point
to any text and demand it delivers a coherent world philosophy, while
also being a story with characters and plot.

As a society we need to grow the fuck up.  The stories we tell each
other of heroes and villains, the balance between good and evil
hanging in the balance, all while these actors exist outside of
anything that could be called a power hierarchy, needs to end.  Only
when we grow up from this world view can we realise that paradise is
within us, and that collectively we can create it here on earth.

Not gonna lie though, trains that go through space are pretty cool.
